%define	name	kile
%define	version	1.9.3
%define	release	%mkrel 3
%define	Summary	Integrated LaTeX Environment for KDE3

Name:		%{name}
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Epoch:		1
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	tetex-latex
BuildRequires:	kdelibs-devel
BuildRequires:  desktop-file-utils
Patch1:			kile-1.8-fix-blacklisted-gcc.patch
Patch2:		kile-1.8.1-i18n-de.patch
Obsoletes:      kile-i18n-de
Obsoletes:      kile-i18n-es 
Obsoletes:      kile-i18n-fr 
Obsoletes:      kile-i18n-it 
Obsoletes:      kile-i18n-nl 
Obsoletes:      kile-i18n-pt
Obsoletes:      kile-i18n-en_GB
Obsoletes:      kile-i18n-da
Obsoletes:      kile-i18n-pt_BR
Obsoletes:      kile-i18n-sv
Obsoletes:      kile-i18n-ta
Provides:	kile-i18n-de >= 1.8.0
Provides:	kile-i18n-es >= 1.8.0
Provides:	kile-i18n-fr >= 1.8.0
Provides:	kile-i18n-it >= 1.8.0
Provides:	kile-i18n-nl >= 1.8.0
Provides:	kile-i18n-pt >= 1.8.0
Provides:	kile-i18n-en_GB >= 1.8.0
Provides:	kile-i18n-da >= 1.8.0
Provides:	kile-i18n-pt_BR	>= 1.8.0
Provides:	kile-i18n-sv >= 1.8.0
Provides:	kile-i18n-ta >= 1.8.0


%description
Integrated LaTeX Environment for KDE3


%post
%{update_menus}
%update_icon_cache hicolor
%{update_desktop_database}

%postun
%{clean_menus}
%clean_icon_cache hicolor
%{clean_desktop_database}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc INSTALL README
%_bindir/*
%_datadir/applications/kde/kile.desktop
%_datadir/mimelnk/text/*
%_datadir/apps/kile/

%_datadir/apps/kconf_update/*.upd
%_datadir/apps/kconf_update/*.pl

%_datadir/config.kcfg/kile.kcfg

%_iconsdir/hicolor/*/apps/*



#--------------------------------------------------------------------
%prep
%setup -q
%patch1 -p1 -b .fix_unblacklist_gcc

%build
make -f admin/Makefile.common
%configure2_5x	--disable-rpath \
		--disable-debug \
		--enable-final
%make


%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

# menu
desktop-file-install --vendor="" \
  --remove-key='Encoding' \
  --remove-category="Application" \
  --add-category="Publishing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

rm -rf $RPM_BUILD_ROOT/%_datadir/apps/katepart/syntax/latex.xml
rm -rf $RPM_BUILD_ROOT/%_datadir/apps/katepart/syntax/bibtex.xml

rm -rf $RPM_BUILD_ROOT/%_datadir/INSTALL
rm -rf $RPM_BUILD_ROOT/%_datadir/README
rm -rf $RPM_BUILD_ROOT/%_datadir/AUTHORS
rm -rf $RPM_BUILD_ROOT/%_datadir/NEWS
rm -rf $RPM_BUILD_ROOT/%_datadir/TODO
rm -rf $RPM_BUILD_ROOT/%_datadir/COPYING

%find_lang %name --with-html

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 1.9.3-3mdv2008.0
+ Revision: 77752
- fix desktop file category

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add menu entry


* Tue Nov 21 2006 Laurent Montel <lmontel@mandriva.com> 1.9.3-1mdv2007.0
+ Revision: 85839
- 1.9.3
- Import kile

* Tue Aug 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9.2-1
- 1.9.2

* Fri Jul 14 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9.1-1
- 1.9.1

* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1:1.9-3mdv2007.0
- Rebuild for new menu and extension
- Use macro for icons and macro

* Thu May 11 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9-2
- Rebuild to generate category

* Wed Mar 22 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9-1
- 1.9

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8.1-4mdk
- Remove redundant Buildrequires

* Fri Dec 09 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.1-3
- Obsolete kile-i18n

* Thu Sep 01 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.1-2mdk
- use %%mkrel
- from Dominik Grafenhofer <dominik@grafenhofer.at>
  - added german GUI translation

* Fri Jun 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.1-1mdk
- 1.8.1

* Tue May 24 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8-1mdk
- 1.8
- Necessary to add epoch because previous package was not named correctly :(

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8b2-2mdk
- i18n is not in separate package

* Tue Apr 26 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.8b2-1mdk
- Release: 1.8b2.

* Sun Apr 17 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.8b1-1mdk
- Release: 1.8b1.
- Specify QTDIR (needed for building under X86-64).

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-5mdk
- Fix menu

* Tue Dec 07 2004 Dominik Grafenhofer <dominik@grafenhofer.at> 1.7.1-4mdk
- fixed dependencies of some i18n packages

* Mon Nov 08 2004 Dominik Grafenhofer <dominik@grafenhofer.at> 1.7.1-3mdk
- Added i18n packages
- fix source (the first 1.7.1 tarball was not working)

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-2mdk
- Fix conflict

* Tue Oct 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-1mdk
- 1.7.1

* Sat Jun 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.3-2mdk
- Rebuild

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.3-1mdk
- 1.6.3
- cleanups

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Sun Feb 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- fix menu

